# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:

- 'on': ['Linux/Qt6', 'FreeBSD/Qt6', 'Windows/Qt6', 'Android/Qt6']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'libraries/kirigami-addons': '@latest-kf6'
    'frameworks/kiconthemes': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'frameworks/kcolorscheme': '@latest-kf6'
    'frameworks/kconfigwidgets': '@latest-kf6'
    'frameworks/kcodecs' : '@latest-kf6'

- 'on': ['Linux/Qt6', 'FreeBSD/Qt6', 'Windows/Qt6']
  'require':
    'frameworks/kdoctools': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kfilemetadata': '@latest-kf6'
    'frameworks/qqc2-desktop-style': '@latest-kf6'

- 'on': ['Linux/Qt6', 'FreeBSD/Qt6']
  'require':
    'frameworks/kdbusaddons': '@latest-kf6'

Options:
  per-test-timeout: 120
  require-passing-tests-on: ['Linux', 'FreeBSD', 'Windows']
